Package docking.widgets.table

# Class TableTextFilter<ROW_OBJECT>

java.lang.Object
docking.widgets.table.TableTextFilter<ROW_OBJECT>

All Implemented Interfaces:
  `TableFilter<ROW_OBJECT>`

public class TableTextFilter<ROW_OBJECT> extends Object implements TableFilter<ROW_OBJECT>

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TableTextFilter(TextFilter textFilter, RowFilterTransformer<ROW_OBJECT> transformer)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `acceptsRow(ROW_OBJECT rowObject)`
  Returns true if this filter matches the given row (data)
  `boolean`
  `equals(Object obj)`
  `int`
  `hashCode()`
  `boolean`
  `isSubFilterOf(TableFilter<?> tableFilter)`
  Returns true if this filter is a more specific version of the given filter.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface docking.widgets.table.TableFilter

  `hasColumnFilter, isEmpty`

- ## Constructor Details

  - ### TableTextFilter

    public TableTextFilter(TextFilter textFilter, RowFilterTransformer<ROW_OBJECT> transformer)

- ## Method Details

  - ### isSubFilterOf

    public boolean isSubFilterOf(TableFilter<?> tableFilter)
    Description copied from interface: `TableFilter`
    Returns true if this filter is a more specific version of the given filter.

    For example, if this filter is a 'starts with' text filter, with the value of 'bobo', then if the given filter is also a 'starts with' filter, with a value of 'bob', then this filter is considered a sub-filter of the given sub-filter.

    Specified by:
      `isSubFilterOf` in interface `TableFilter<ROW_OBJECT>`
    Parameters:
      `tableFilter` - the filter to check
    Returns:
      true if this filter is a sub-filter of the given filter

  - ### acceptsRow

    public boolean acceptsRow(ROW_OBJECT rowObject)
    Description copied from interface: `TableFilter`
    Returns true if this filter matches the given row (data)
    Specified by:
      `acceptsRow` in interface `TableFilter<ROW_OBJECT>`
    Parameters:
      `rowObject` - the current row object
    Returns:
      true if the element at the given row matches this filter.

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### equals

    public boolean equals(Object obj)
    Overrides:
      `equals` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`